;;;; resolver.asd
;;;; By Dave Roberts
;;;; Copyright (C) 2004, Dave Roberts, All Rights Reserved
;;;;
;;;; History:
;;;;      0.1, 27-Apr-2004, Initial public release
;;;;      0.2, 28-Apr-2004, Fixed packaging hiccup
;;;;      0.3, 30-Apr-2004, Work around for CMUCL bug that prevented
;;;;                        UFFI library loading correctly.
;;;;      0.4, 17-May-2004, Added support for conditions on decode errors.
;;;;                        Added LGPL license information.
;;;;                        Cleaned up define-mappers macro.
;;;;                        Added some documentation.
;;;;                        Self tests for decoding exceptions now work
;;;;                        correctly.
;;;;      0.5, 20-May-2004, Updated UFFI type declarations and type usage
;;;;                        in DEREF-ARRAY forms to fix a latent bug
;;;;                        revealed by recent UFFI changes.
;;;;      0.6, 22-Nov-2004, Changed symbolic constants used to name
;;;;                        record types from standard symbols to keyword
;;;;                        symbols.
;;;;      0.7, 25-Nov-2004, Changed license from LGPL to LLGPL. See the
;;;;                        COPYING file for more information.
;;;;
;;;; This software is distributed under the Lisp Lesser Gnu Public
;;;; License (LLGPL).  See the file "COPYING" that came with this
;;;; package.

(defsystem :resolver
  :description "resolver: a UFFI interface to Linux's resolver.so DNS library."
  :version "0.7"
  :author "Dave Roberts <ldave@droberts.com>"
  :licence "LGPL"
  :depends-on (:uffi)
  :components ((:file "packages")
	       (:file "load-lib" :depends-on ("packages"))
	       (:file "resolver" :depends-on ("packages" "load-lib"))
	       (:static-file "COPYING")
	       (:doc-file "README")
	       (:doc-file "DOCS")
	       (:doc-file "ChangeLog")))